@echo off
rem echo Druckerverbindung pruefen...
rem echo ---------------------------

	IF NOT $%1==$ GOTO :Start
	SET DRUCKER_OK=BAD
GOTO :Fehler

:Start
     REM Parameter Variable DRUCKER bergeben
	IF NOT $%1==$ SET DRUCKER=%1
	IF NOT $%2==$ SET DRUCKER=%DRUCKER% %2
	IF NOT $%3==$ SET DRUCKER=%DRUCKER% %3
	IF NOT $%4==$ SET DRUCKER=%DRUCKER% %4
	IF NOT $%5==$ SET DRUCKER=%DRUCKER% %5
	IF NOT $%6==$ SET DRUCKER=%DRUCKER% %6
	IF NOT $%7==$ SET DRUCKER=%DRUCKER% %7
	IF NOT $%8==$ SET DRUCKER=%DRUCKER% %8
	IF NOT $%9==$ SET DRUCKER=%DRUCKER% %9

	ECHO ---------------------------------------------------
	ECHO Suche Drucker ... [%DRUCKER%]
GOTO :Check1

:Check1
     REM 1. Prfung: Nicht Hersteller spezifische Drucker
	reg query "HKCU\Printers\Settings" /v "%DRUCKER%" >NUL 2>NUL
	if %errorlevel%==0 SET DRUCKER_OK=OK
	if %errorlevel%==1 SET DRUCKER_OK=BAD
	if %DRUCKER_OK%==BAD GOTO :Check2
GOTO :Verarbeitung

:Check2
     REM 2. Prfung: Prfe Hersteller Hewlett-Packard spezifische Drucker
 	reg query "HKCU\Software\Hewlett-Packard" /f "%DRUCKER%" /s /k /e >NUL 2>NUL
	if %errorlevel%==0 SET DRUCKER_OK=OK
	if %errorlevel%==1 SET DRUCKER_OK=BAD
GOTO :Verarbeitung

:Verarbeitung
	if %DRUCKER_OK%==OK GOTO :OK
	if %DRUCKER_OK%==BAD GOTO :BAD
GOTO :Fehler

:OK
	ECHO Druckername ..... [%DRUCKER%] vorhanden !
	ECHO Variable ........ "DRUCKER_OK" = [%DRUCKER_OK%]
	ECHO ---------------------------------------------------
GOTO :Exit

:BAD
	ECHO Druckername ..... [%DRUCKER%] nicht gefunden !
	ECHO Variable ........ "DRUCKER_OK" = [%DRUCKER_OK%]
	ECHO ---------------------------------------------------
GOTO :Exit

:Fehler
	ECHO ----------------------------------------------------------------------------
	ECHO    Fehler: Druckername [%DRUCKER%] fehlt oder ist nicht installiert!
	ECHO ============================================================================
        ECHO    Syntax: [check-printer.cmd Druckername]
	ECHO ----------------------------------------------------------------------------
GOTO :Exit

:Exit
